# DomoticX Virtual 3D Device Port SU08 interface.

# Wat moet er gebeuren bij het starten van de simulatie?
onstart{
  # Python commando om de seriele bibliotheek te importeren.
  Py.exec("import serial")
  # Python commando om de seriele poort te openen.
  Py.exec("ser = serial.Serial('COM8', 9600)")
}

# Wat moet er gebeuren tijdens de simulatie?
ontick{
  # Python commando om de seriele poort uit te lezen voor gegevens.
  Py.exec("serialdata = ser.readline()")
  # Ruby commando om de gegevens van python om te zetten in een variabele.
  $serialdata = Py.eval("serialdata")
  # Ruby commando om de data te printen in de Ruby console.
  puts $serialdata
}

# Wat moet er gebeuren als de de simulatie stopt?
onend{
  # Python commando om de seriele poort te sluiten.
  Py.exec("ser.close()")
}
